import request from '@/utils/request'
// 核销优惠券列表
export function writeoffCoupon(query) {
  return request({
    url: '/system/coupon/selectUseCouponByPagination',
    method: 'get',
    params: query
  })
}
// 核销订单列表
export function writeoffOrder(query) {
  return request({
    url: '/system/order/selectUseOrderByPagination',
    method: 'get',
    params: query
  })
}
// 扫码核销优惠券
export function useCoupon(id) {
  return request({
    url: '/system/coupon/useCoupon/'+id,
    method: 'get',
  })
}
// 扫码核销订单
export function useOrder(id) {
  return request({
    url: '/system/order/useOrder/'+id,
    method: 'get',
  })
}
