import request from '@/utils/request'

// 活动列表
export function activitylist(query) {
  return request({
    url: '/system/activity/selectActivityByPagination',
    method: 'get',
    params: query
  })
}

// 已发布活动列表
export function publishedactivitylist(query) {
  return request({
    url: '/system/activity/selectActivityInfoByPagination',
    method: 'get',
    params: query
  })
}

// 查看详情
export const activitydetail = (id) => {
  return request({
    url: '/system/activity/detail/' + id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}