import request from "../../../utils/request";

// 查询消息列表
export function getMessageList(params) {
    return request({
        url: '/messageInstance/queryMessageInstanceByPagination',
        method: 'get',
        params
    })
}
// 标为已读
export function markRead(data) {
    return request({
        url: '/messageInstance/update',
        method: 'put',
        data,
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}
// 逻辑删除
export function deleteLogical(id) {
    return request({
        url: '/messageInstance/deleteLogical/' + id,
        method: 'delete'
    })
}
// 查询详情
export function getMessageDetail(id) {
	return request({
		url: '/messageInstance/detail/' + id,
		method: 'get'
	})
}