import request from '@/utils/request'

// 我的订单/我的活动
export function myOrder(query) {
  return request({
    url: '/system/order/selectOrderUserByPagination',
    method: 'get',
    params: query
  })
}


// 退款
export function refund(data) {
  return request({
    url: '/system/order/cancel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}